<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HackingFormulas](./bitburner.hackingformulas.md) &gt; [growPercent](./bitburner.hackingformulas.growpercent.md)

## HackingFormulas.growPercent() method

Calculate the percent a server would grow to. Not exact due to limitations of mathematics. (Ex: 3.0 would grow the server to 300% of its current value.)

**Signature:**

```typescript
growPercent(server: Server, threads: number, player: Person, cores?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  server | [Server](./bitburner.server.md) | Server info, typically from [getServer](./bitburner.ns.getserver.md) |
|  threads | number | Amount of thread. |
|  player | [Person](./bitburner.person.md) | Player info, typically from [getPlayer](./bitburner.ns.getplayer.md) |
|  cores | number | _(Optional)_ Number of cores on the computer that will execute grow. |

**Returns:**

number

The calculated grow percent.

